Subject: Re: bug#5792: 23.1; man.el{,c} fails to load when utf-8 mode enabled

From: Eli Zaretskii <[email-masked]>
Date: Tue, 06 Apr 2010 21:26:50 +0300

> From: [email-masked] (Randal L. Schwartz)
> Date: Tue, 06 Apr 2010 10:04:55 -0700
> Cc: [email-masked]
> 
> All I know is that in my .emacs, if I had this:
> 
> (set-terminal-coding-system 'utf-8)
> (set-keyboard-coding-system 'utf-8)
> (load-library "man")
> 
> it'd blow up.

I don't see how setting terminal and keyboard encoding could affect
loading a Lisp file.  These settings are relevant only to keyboard
input and terminal output.

Could you perhaps bisect your .emacs to find out what else is needed
to reproduce this problem?